org.apache.hadoop.mapreduce.jobhistory

## Class TaskUpdatedEvent

- java.lang.Object
- - org.apache.hadoop.mapreduce.jobhistory.TaskUpdatedEvent

- All Implemented Interfaces:
    HistoryEvent

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class TaskUpdatedEvent
      extends Object
      implements HistoryEvent

  Event to record updates to a task

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskUpdatedEvent(TaskID id, long finishTime)` Create an event to record task updates

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDatum()` Return the Avro datum wrapped by this.
    `EventType` | `getEventType()` Get the event type
    `long` | `getFinishTime()` Get the task finish time
    `TaskID` | `getTaskId()` Get the task ID
    `Set<org.apache.hadoop.yarn.api.records.timelineservice.TimelineMetric>` | `getTimelineMetrics()` Counters or Metrics if any else return null.
    `void` | `setDatum(Object datum)` Set the Avro datum wrapped by this.
    `org.apache.hadoop.yarn.api.records.timelineservice.TimelineEvent` | `toTimelineEvent()` Map HistoryEvent to TimelineEvent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskUpdatedEvent

          public TaskUpdatedEvent(TaskID id,
                                  long finishTime)

      Create an event to record task updates
      Parameters:
        `id` - Id of the task
        `finishTime` - Finish time of the task

  - ### Method Detail

    - #### getDatum

          public Object getDatum()

      Description copied from interface: `HistoryEvent`
      Return the Avro datum wrapped by this.
      Specified by:
        `getDatum` in interface `HistoryEvent`

    - #### setDatum

          public void setDatum(Object datum)

      Description copied from interface: `HistoryEvent`
      Set the Avro datum wrapped by this.
      Specified by:
        `setDatum` in interface `HistoryEvent`

    - #### getTaskId

          public TaskID getTaskId()

      Get the task ID

    - #### getFinishTime

          public long getFinishTime()

      Get the task finish time

    - #### getEventType

          public EventType getEventType()

      Get the event type
      Specified by:
        `getEventType` in interface `HistoryEvent`

    - #### toTimelineEvent

          public org.apache.hadoop.yarn.api.records.timelineservice.TimelineEvent toTimelineEvent()

      Description copied from interface: `HistoryEvent`
      Map HistoryEvent to TimelineEvent.
      Specified by:
        `toTimelineEvent` in interface `HistoryEvent`
      Returns:
        the timeline event

    - #### getTimelineMetrics

          public Set<org.apache.hadoop.yarn.api.records.timelineservice.TimelineMetric> getTimelineMetrics()

      Description copied from interface: `HistoryEvent`
      Counters or Metrics if any else return null.
      Specified by:
        `getTimelineMetrics` in interface `HistoryEvent`
      Returns:
        the set of timeline metrics

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.